Skip to main content
GET
/
networks
/
campaigns
List Smart Links
curl --request GET \
  --url https://api.eflow.team/v1/networks/campaigns \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "campaigns": [
    {
      "network_campaign_id": 1,
      "network_id": 1,
      "campaign_name": "My Smart Link",
      "campaign_status": "active",
      "network_tracking_domain_id": 1,
      "is_use_secure_link": false,
      "redirect_routing_type": "weight",
      "catch_all_network_offer_id": 57,
      "is_open_to_affiliates": false,
      "run_frequency": "unknown",
      "metric": "unknown",
      "optimization_goal": 0,
      "data_lookback_window": "unknown",
      "data_collection_threshold": 0,
      "time_created": 1734455015,
      "time_saved": 1734455015,
      "relationship": {
        "redirects": {
          "total": 123,
          "entries": [
            {
              "network_campaign_redirect_id": 6,
              "network_campaign_id": 1,
              "redirect_network_offer_id": 11,
              "redirect_network_offer_url_id": 0,
              "routing_value": 1,
              "ruleset": {}
            }
          ]
        },
        "labels": {
          "total": 123,
          "entries": [
            "<string>"
          ]
        },
        "catch_all_offer_basic": {
          "network_offer_id": 123,
          "network_id": 123,
          "name": "<string>",
          "offer_status": "<string>"
        },
        "encoded_value": "<string>"
      }
    }
  ]
}
Retrieve all smart links (campaigns) for the network. Returns a list of campaigns with their routing configuration, status, and associated redirects.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

page
integer
default:1

Page number (1-based).

page_size
integer
default:50

Number of results per page.

relationship
enum<string>

Include related data. Repeat for multiple relationships.

Available options:
reporting,
redirects,
offers,
catch_all_offer_basic

Response

200 - application/json
campaigns
object[]